import React from 'react';
import {InertiaLink} from '@inertiajs/inertia-react';
import Layout from '@/Shared/Layout';
import Table from "../../Shared/Table";

const Module = (data) => {
    return (
        <div>
            <div className="header-nav-buttons">
                <InertiaLink
                    className="btn btn-dark"
                    href={data.routes.create}
                >
                    <span><i className="fas fa-plus"></i>Create</span>
                </InertiaLink>
            </div>

            <h1>{data.name}</h1>
            <Table fields={data.fields} records={data.records} routes={data.routes}/>
        </div>
    )
}

Module.layout = page => <Layout children={page} title="Module"/>

export default Module
