import React from 'react';
import { InertiaLink } from '@inertiajs/inertia-react';
import Layout from '@/Shared/Layout';

const QuizQuestionAnswer = (data) => {
  const answers = data.answers
  const quizId = answers[0] ? answers[0].quiz_id : ''

  return (
    <div>
      <div className="header-nav-buttons">
        <InertiaLink
          className="btn btn-light"
          href={`/eventpal/quiz/${quizId}/questions`}
        >
          <span><i className="fas fa-chevron-left"></i>Back to Question list</span>
        </InertiaLink>
      </div>

      <table className="table table-striped">
        <thead>
          <tr className="text-left font-bold">
            <th>Re-order</th>
            <th>#</th>
            <th>Answer title</th>
            <th>Correct</th>
            <th>Actions</th>
          </tr>
        </thead>
        <tbody>
          {answers.map(answer => (
            <tr key={ answer.id }>
              <td>
                <a className="action-button" href="#" title="TBC | Drag me to re-order">
                  <i className="fa fa-bars"></i>
                </a>
              </td>
              <td>{ answer.id }</td>
              <td>{ answer.title }</td>
              <td>{ answer.isCorrect }</td>
              <td>
                {answer.isCorrect > 0 && (
                  <span className="badge badge-success">Correct</span>
                )}
              </td>
              <td>
                <InertiaLink
                  className="action-button"
                  href={`/eventpal/quiz/${answer.quiz_id}/questions/${answer.question_id}/answers/${answer.id}/edit`}
                  title="Edit answer"
                >
                  <span><i className="fa fa-pencil"></i></span>
                </InertiaLink>

                <InertiaLink
                  className="action-button"
                  href={`/eventpal/quiz/${answer.quiz_id}/questions/${answer.question_id}/answers/${answer.id}`}
                  title="Delete answer"
                >
                  <span><i className="far fa-trash"></i></span>
                </InertiaLink>
              </td>
            </tr>
          ))}
          {answers.length === 0 && (
            <tr>
              <td className="border-t px-6 py-4" colSpan="4">
                No answers found
              </td>
            </tr>
          )}
        </tbody>
      </table>
    </div>
  )
}

QuizQuestionAnswer.layout = page => <Layout children={page} title="Answer list" />

export default QuizQuestionAnswer
