import React, { useEffect } from 'react'
import Header from '@/Shared/Header'
import SideBar from '@/Shared/SideBar'
import Content from '@/Shared/Content'
import Footer from '@/Shared/Footer'

export default function Layout({ title, children }) {
  useEffect(() => {
    document.title = title;
  }, [title])

  return (
    <div className="wrapper">
      <Header />
      <SideBar pageTitle={ title } />
      <Content children={ children } pageTitle={ title } />
      <Footer />
    </div>
  )
}
