import React from 'react';
import { InertiaLink, usePage } from '@inertiajs/inertia-react';
import SideBarItems from "./SideBarItems";


export default ({ pageTitle }) => {
  const { auth, baseEvent, navItems } = usePage()

  return (
    <aside className="main-sidebar sidebar-dark-blue tw-elevation-4">
      <InertiaLink href="/eventpal/dashboard" className="brand-link">
        <span className="brand-text pl-2 font-weight-light">DRPG EventPal</span>
      </InertiaLink>

      <div className="sidebar">
        <div className="event-panel tw-mt-3 tw-pb-3 d-flex">
          <div className="info">
            <p className="tw-pl-3">{ baseEvent.event.name }</p>
          </div>
        </div>

        <nav className="sidebar-nav tw-mt-2">
          <ul className="nav nav-pills nav-sidebar flex-column">
            <li className="nav-item">
              <InertiaLink href="/eventpal/dashboard" className={`nav-link ${'Dashboard' === pageTitle ? 'active' : 'not-active'}`}>
                Dashboard
              </InertiaLink>
            </li>
          </ul>

          <p className="nav-sub-heading tw-mt-4 tw-mb-2 tw-pl-3">Engagement</p>
          <SideBarItems items={navItems}/>

          <p className="nav-sub-heading tw-mt-4 tw-mb-2 tw-pl-3">Event management</p>
          <ul className="nav nav-pills nav-sidebar flex-column">
            <li className="nav-item">
              <InertiaLink href="/eventpal/agenda" className={`nav-link ${'Agenda' === pageTitle ? 'active' : 'not-active'}`}>
                Agenda
              </InertiaLink>
            </li>
            <li className="nav-item">
              <InertiaLink href="/eventpal/speakers" className={`nav-link ${'Speakers' === pageTitle ? 'active' : 'not-active'}`}>
                Speakers
              </InertiaLink>
            </li>

            <li className="nav-item">
              <InertiaLink href="#" className={`nav-link ${'Pages' === pageTitle ? 'active' : 'not-active'}`}>
                Pages
              </InertiaLink>
            </li>
          </ul>
        </nav>
      </div>
    </aside>
  )
}
