<?php

namespace Drp\EventPalAdmin\Http\Util\Modules;

use Illuminate\Support\Facades\Schema;

class ModuleManager
{
    const URL = '/eventpal/modules';

    private $modules;

    public function __construct()
    {
        $this->modules = collect(config('eventpal-admin.modules'));
    }

    public function getModule($module)
    {
        return $this->modules[$module];
    }

    public function getModel($module)
    {
        return app($this->getModule($module)['model']);
    }

    public function getFields($module)
    {
        $table = $this->getModel($module)->getTable();

        return Schema::getColumnListing($table);
    }

    public function getRoutes($module)
    {
        $basePath = self::URL . '/' . $module;

        return [
          'index' => $basePath,
          'create' => $basePath . '/create',
          'edit' => $basePath . '/edit',
          'delete' => $basePath . '/delete',
        ];
    }

    public function getNavItems()
    {
        return $this->modules->map(function ($module, $key) {
            $module['title'] = $key;
            $module['link'] = self::URL . '/' . $key;

            return $module;
        });
    }
}
