<?php
Route::prefix('eventpal')
    ->name('eventpal.')
    ->middleware([
        'web',
        'admin',
    ])
    ->namespace('\Drp\EventPalAdmin\Http\Controllers')
    ->group(function (): void {
        Route::get(
            '/home',
            [
                'as' => 'dashboard',
                'uses' => 'DashboardController',
            ]
        );

        Route::get(
            '/dashboard',
            [
                'uses' => 'DashboardController',
            ]
        );

        /**
         * Quizzes
         */
        Route::put('quiz/activity/{quiz}')
            ->name('quiz.activity.update')
            ->uses('ActivityController@update');

        Route::resource('quiz', 'QuizController')
            ->names([
                'index' => 'quiz.index',
                'create' => 'quiz.create',
                'store' => 'quiz.store',
                'edit' => 'quiz.edit',
                'update' => 'quiz.update',
                'delete' => 'quiz.delete',
            ]);

        Route::resource('quiz.questions', 'QuizQuestionController')
            ->names([
                'index' => 'quiz.questions.index',
                'create' => 'quiz.questions.create',
                'store' => 'quiz.questions.store',
                'edit' => 'quiz.questions.edit',
                'update' => 'quiz.questions.update',
                'delete' => 'quiz.questions.delete',
            ]);

        Route::resource('quiz.questions.answers', 'QuizQuestionController')
            ->names([
                'index' => 'quiz.questions.answer',
                'create' => 'quiz.questions.answer.create',
                'store' => 'quiz.questions.answer.store',
                'edit' => 'quiz.questions.answer.edit',
                'update' => 'quiz.questions.answer.update',
                'delete' => 'quiz.questions.answer.delete',
            ]);

        /**
         * Feedback
         */
        Route::get('feedback')->name('feedback')->uses('FeedbackController');

        /**
         * Questions
         */
        Route::get('questions')
            ->name('questions')
            ->uses('QuestionsController@index');

        /**
         * Agenda
         */
        Route::get('agenda')
            ->name('agenda')
            ->uses('AgendaController@index');

        /**
         * Speakers
         */
        Route::resource('speakers', 'SpeakersController')
            ->names([
                'index' => 'speakers.index',
                'create' => 'speakers.create',
                'store' => 'speakers.store',
                'edit' => 'speakers.edit',
                'update' => 'speakers.update',
                'delete' => 'speakers.delete',
            ]);

        include __DIR__ . '/modules.php';
    });
