const mix = require('laravel-mix');
const path = require('path')
const tailwindcss = require('tailwindcss');
const webpack = require('webpack')

mix
  .webpackConfig({
    plugins: [
      new webpack.optimize.LimitChunkCountPlugin({
        maxChunks: 1,
      }),
    ],
    resolve: {
      alias: {
        '@': path.resolve('resources/js'),
      },
    },
  })
  .copy('node_modules/admin-lte/dist/css/adminlte.min.css', 'dist/plugins/adminlte/css')
  .copy('node_modules/admin-lte/dist/css/adminlte.css.map', 'dist/plugins/adminlte/css')
  .copy('node_modules/admin-lte/dist/js/adminlte.min.js', 'dist/plugins/adminlte/js')
  .copy('node_modules/admin-lte/dist/js/adminlte.min.js.map', 'dist/plugins/adminlte/js')
  .copy('node_modules/jquery/dist/jquery.js', 'dist/plugins/jquery')
  .react('resources/js/app.js', 'dist/js')
  .sass('resources/sass/app.scss', 'dist/css')
  .options({
    processCssUrls: false,
    postCss: [
      tailwindcss('tailwind.config.js'),
    ]
  })
  .sourceMaps();
